
\begin{tikzpicture}
% Declare Points
\coordinate (I) at (0,0);
\coordinate (C) at (4,0);
\coordinate (Y) at (4,3);

% Mark right angles
\draw[thick, cm={cos(90), sin(90), -sin(90), cos(90), (C)}] (0.25 cm, 0) -- (0.25 cm, 0.25 cm) -- (0, 0.25 cm);
% Draw RightTriangle
\draw pic ["\ang{39}", angle eccentricity=2, draw, thick, angle radius = 0.4 cm] {angle = I--Y--C};
\draw[thick] (I)
-- (C)
-- (Y) node[midway, below, sloped] {\SI{6}{km}}
-- cycle node[midway, above, sloped] {?};

% Label Points
\draw (I) node[left] {I};
\draw (C) node[below right] {C};
\draw (Y) node[above right] {Y};
\end{tikzpicture}
